# Uses of Class
org.snpsift.annotate.QueryResult

Packages that use QueryResult
Package
Description
org.snpsift.annotate

## Uses of QueryResult in org.snpsift.annotate

Methods in org.snpsift.annotate with parameters of type QueryResult
Modifier and Type
Method
Description
`protected boolean`
AnnotateVcfDb.`findDbExists(QueryResult qr)`
Should we annotate using 'exists' field?
`protected void`
AnnotateVcfDb.`findDbId(Set<String> idSet, QueryResult qr)`
Find an ID for this variant and add them to idSet
`protected String`
AnnotateVcfDb.`findDbInfo(String infoFieldName, QueryResult qr)`
Find all non-empty INFO fields 'infoFieldName' in results
`protected void`
AnnotateVcfDb.`findDbInfo(Map<String,String> info, QueryResult qr)`
Find INFO fields for this VCF entry
`protected String`
AnnotateVcfDb.`findDbInfoAlt(String infoFieldName, QueryResult qr)`
Find the first non-empty INFO field 'infoFieldName' in results Note: ALT must match